SystemOrganization addCategory: #'Graphic-Text-SystemSettings'!

Object subclass: #StandardFontsSystemSettings
	instanceVariableNames: ''
	classVariableNames: 'ButtonFont'
	poolDictionaries: ''
	category: 'Graphic-Text-SystemSettings'!

!StandardFontsSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/9/2009 08:46'!
resetAllFontToDefault
	StandardFonts setAllStandardFontsTo: StandardFonts defaultFont.
	SettingBrowser refreshAllSettingBrowsers
	 
! !

!StandardFontsSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/5/2009 09:01'!
resetAllFontToDefaultButton
			^ (UITheme current
				newButtonIn: World 
				for: self
				getState: nil
				action: #resetAllFontToDefault
				arguments: {}
				getEnabled: nil
				getLabel: nil
				help: 'Set all predefined system fonts to the default one' translated)
		 		label: (UITheme current newRowIn: World for: {AlphaImageMorph new image: MenuIcons smallRedoIcon. UITheme current buttonLabelForText: 'Reset all to default' translated});
		 		yourself.
! !

!StandardFontsSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/14/2009 13:16'!
standardFontsOn: aBuilder
	<systemsettings>
	(aBuilder group: #standardFonts)
		label: 'Standard fonts' translated;
		target: StandardFonts;
		parent: #appearance;
		order: 4;
		with: [ 
			(aBuilder launcher: #updateFromSystem)
				order: 1; 
				target: FreeTypeFontProvider;
				targetSelector: #current;
				description: 'Update available fonts by scaning the current system';
				script: #updateFromSystem;
				label: 'Update fonts from system' translated.
			(aBuilder setting: #defaultFont)
				description: 'The default text font' translated;
				dialog: (MessageSend receiver: self selector: #resetAllFontToDefaultButton);
				label: 'Default' translated.
			(aBuilder setting: #codeFont) 
				description: 'The standard code font' translated;
				label: 'Code' translated.
			(aBuilder setting: #listFont)
				description: 'The standard list font' translated;
				label: 'List' translated.
			(aBuilder setting: #menuFont)
				description: 'The standard menu font' translated;
				label: 'Menu' translated.
			(aBuilder setting: #buttonFont)
				description: 'The standard button font' translated;
				label: 'Button' translated.
			(aBuilder setting: #windowTitleFont)
				description: 'The standard window title font' translated;
				label: 'Window title' translated.
			(aBuilder setting: #balloonFont)
				description: 'The standard balloon-help font' translated;
				label: 'Balloon-help' translated.
			(aBuilder setting: #haloFont)
				description: 'The morphic halo font' translated;
				label: 'Morphic halo' translated]
				
				! !

Object subclass: #StrikeFontsSystemSettings
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graphic-Text-SystemSettings'!

!StrikeFontsSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/6/2009 22:52'!
installDejaVu
	StrikeFont installDejaVu.
	SettingBrowser refreshAllSettingBrowsers

! !

!StrikeFontsSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/15/2009 00:03'!
installDejaVuSettingOn: aBuilder 
	<systemsettings>
	(aBuilder launcher: #'Install bitmap DejaVu fonts') 
		order: -999;
		 parent: #standardFonts;
		 target: self;
		 script: #installDejaVu.
! !
